# Append link flags to the target.
#
# Usage:
#     MACRO_ADD_LINK_FLAGS( <target> "<flags>" )

macro ( MACRO_ADD_LINK_FLAGS target flags )
	get_target_property( _flags ${target} LINK_FLAGS )
	if ( _flags )
		set( _flags "${flags} ${_flags}" )
	else ( _flags )
		set( _flags "${flags}" )
	endif ( _flags )
	set_target_properties( ${target} PROPERTIES LINK_FLAGS "${_flags}" )
endmacro ( MACRO_ADD_LINK_FLAGS )
